# Get ID Summary

`GET /omni/get/id-summary`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Returns success information about addFront and addBack. Also returns onlyFront flag.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | query | string |  | Id of onboarding for which data are requested. If not present, it will be extracted from token. |
| `api-version` | header | string | yes |  |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `onlyFront` | boolean |  |  |
| `addFrontResult` | object |  |  |
| `addFrontResult.classification` | boolean |  |  |
| `addFrontResult.readability` | boolean |  |  |
| `addFrontResult.sharpness` | integer (int32) |  |  |
| `addFrontResult.glare` | integer (int32) |  |  |
| `addBackResult` | object |  |  |
| `addBackResult.classification` | boolean |  |  |
| `addBackResult.readability` | boolean |  |  |
| `addBackResult.sharpness` | integer (int32) |  |  |
| `addBackResult.glare` | integer (int32) |  |  |

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |
